**Source URL:** https://limited.veevavault.dev/regulatory/vault-api/api-reference/25.3/rim-submissions-archive/retrieve-submission-import-results

# Retrieve Submission Import Results

<Aside type="caution">
This endpoint will be modified as of the 26R3 release on December 4th, 2026. Although this endpoint will continue to work, it will no longer return the data array containing submission binder information after the 26R3 release.
</Aside>

After Vault has finished processing the submission import job, use this request to retrieve the results of the completed submission binder.

Before submitting this request:

*   You must be assigned permissions to use the API and permissions to view the specified `submission__v` object record.
*   There must be a previously submitted and completed submission import request, i.e., the status of the import job must be no longer active.

<Endpoint path="/api/{version}/vobjects/submission_\_v/{submission_id}/actions/import/{job_id}/results" method="GET" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{submission_id}` | The `id` field value of the `submission__v` object record. To get this value, [use VQL to retrieve all records](/regulatory/vault-api/api-reference/25.3/vault-objects/retrieve-object-records) on the `submission__v` object. |
| `{job_id}` | The `jobId` field value returned from the [Import Submission](/regulatory/vault-api/api-reference/25.3/rim-submissions-archive/import-submission) request. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/vobjects/submission__v/00S000000000101/actions/import/1301/results
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
  "responseStatus": "SUCCESS",
  "data": [
    {
      "responseStatus": "SUCCESS",
      "id": 16,
      "major_version_number__v": "1",
      "minor_version_number__v": "0"
    }
  ]
}
```
</CodeExample>

## Response Details

On `SUCCESS`, the response includes the following information:

<FieldTable>
| Field Name | Description |
| --- | --- |
| `id` | The `id` field value of the submission binder which was created by the imported files. |
| `major_version_number__v` | The major version number of the binder. |
| `minor_version_number__v` | The minor version number of the binder. |
</FieldTable>

To retrieve the metadata from the newly created submission binder, send `GET` to `/api/{version}/objects/binders/{id}`.

---

**Previous:** [Import Submission](/regulatory/vault-api/api-reference/25.3/rim-submissions-archive/import-submission)  
**Next:** [Retrieve Submission Metadata Mapping](/regulatory/vault-api/api-reference/25.3/rim-submissions-archive/retrieve-submission-metadata-mapping)